Skip to content

Agency Rank - Sales Rank

Introduction

Get TikTok partner agency sales rank data, supporting the following features:

  • Set filter parameters
  • Customize result sorting

Endpoint

bash
    POST /agency/v1/rank/salesRank

Response Body

FieldTypeRequiredDescription
filterobjectNoFilter parameters
orderbyobjectNoSorting parameters
pageintegerNoPage number, default value: 1
pagesizeintegerNoRecords per page, default: 10

filter options

FieldTypeRequiredDescription
regionstringNoRegion
date_infoobjectNoDate information

region range: ['US','GB','MX','ES','DE','IT','FR','ID','VN','MY','TH','PH','BR','JP','SG']

orderby options

FieldRequiredDescription
usd_gmvNoGMV (desc)

Request Example

bash
curl 'https://openapi.fastmoss.com/agency/v1/rank/salesRank' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer xxxxxxxxxx' \
--data '{
    "filter": {
        "region": "US",
        "date_info": {
            "type": "week",
            "value": "2026-05"
        }
    },
    "orderby": [
      {
        "field": "usd_gmv",
        "order": "desc",
      }
    ],
    "page": 1,
    "pagesize": 10
}'

Response Body

data.total

Total results

data.list

FieldTypeDescription
idstringAgency ID
secidstringAgency secid
regionintegerRegion
currencyintegerCurrency
gmvintegerGMV
usd_gmvintegerUSD GMV
gmv_inc_ratestringGMV Growth Rate
commission_rateintegerCommission Rate
hot_categoryarray<object>Hot Categories
total_affiliate_countintegerTotal affiliated creators
inc_affiliate_countintegerNew affiliated creators
sale_affiliate_countintegerActive sales creators
product_countintegerTotal products
inc_product_countintegerNew products
sale_product_countintegerActive sales products
agencyobjectAgency information

data.list.agency

FieldTypeDescription
idstringAgency ID
secidstringAgency secid
namestringAgency Name
regionstringAgency Region
introductionstringAgency Introduction
logo_coverstringAgency Logo

Response Example

json
{
  "code": 0,
  "data": {
    "list": [
      {
        "id": "8649512756612795142",
        "secid": "7c3d85e96c36244a5f5184a5cfbb98f6",
        "region": "GB",
        "currency": "GBP",
        "gmv": 209066.76,
        "usd_gmv": 259242.78,
        "gmv_inc_rate": "-24.91%",
        "commission_rate": 990,
        "hot_category": [
          { "category_id": 14, "name": "Beauty & Personal Care" },
          { "category_id": 2, "name": "Womenswear & Underwear" },
          { "category_id": 3, "name": "Menswear & Underwear" }
        ],
        "total_affiliate_count": 301,
        "inc_affiliate_count": 67,
        "sale_affiliate_count": 138,
        "product_count": 63610,
        "inc_product_count": 656,
        "sale_product_count": 22035,
        "agency": {
          "id": "8649512756612795142",
          "secid": "7c3d85e96c36244a5f5184a5cfbb98f6",
          "name": "VibraVerse",
          "region": "GB",
          "introduction": "",
          "logo_cover": "https://s.500fd.com/tt_partner/wsos65b11f86df324b05"
        }
      }
    ],
    "total": 500,
    "date_type": "week",
    "date_value": "2026-03"
  },
  "msg": "success"
}